[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.AssignValue

Assign value of a variant record to the field.

## Declaration

Source position: db.pas line 372

`public procedure TField.AssignValue(`
`const AValue: TVarRec`
`);`

## Arguments

`AValue` |  | Value to assign to the field

## Description

AssignValue assigns the value of a "array of const" record AValue (of type TVarRec) to the field's value. If the record contains a TPersistent instance, it will be used as argument for the Assign to the field.

The dataset must be in edit mode to execute this method.

## Errors

If the AValue contains an unsupported value (such as a non-nil pointer) then an exception will be raised. If the dataset is not in one of the edit modes, then executing this method will raise an EDatabaseError exception.

## See also

TField.Assign |  | Copy properties from one TField instance to another
TField.Value |  | Value of the field as a variant value

The latest version of this document can be found at lazarus-ccr.sourceforge.net .